@use 'sass/base';
@use 'sass/size';
@use 'sass/mixin';

.method {
  .radio-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    gap: 0.5 * size.$gap;
    margin: 0.5 * size.$gap 0;
  }
}

.uncertainties {
  @include mixin.center-items(flex-start, center);
  flex-flow: column nowrap;
  min-width: 400px;
  gap: size.$gap;
  margin-bottom: size.$gap;
  .mat-table {
    @include mixin.card;
    padding: 0.5 * size.$gap;
    flex: 0 0 0;
    width: 100%;
    .mat-header-cell > .mat-icon {
      vertical-align: middle;
    }
    td {
      text-align: center;
      vertical-align: middle;
      flex: 1;
      ::ng-deep .mat-form-field {
        width: 100% !important;
        min-width: 7ch !important;
      }
      ::ng-deep .mat-form-field-wrapper {
        padding: 0 !important;
        margin: 0.25 * size.$gap;
      }
      ::ng-deep .mat-select-trigger {
        height: 1em !important;
        display: block !important;
      }
      &:first-of-type {
        text-align: left;
      }
    }
  }
}
